Page MenuHomePhabricator

Implement basic search endpoint
Closed, ResolvedPublic3 Estimated Story Points

Description

Description
This endpoint allows the reader to search for and retrieve a set of pages matching a provided query param q.

The endpoint structure is provided by T230844

Requirements

  • Implement search endpoint described by T230844
  • Implement integration test covering basic endpoint

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 22 2019, 2:13 PM
WDoranWMF set the point value for this task to 3.Oct 30 2019, 10:25 PM
nnikkhoui claimed this task.Nov 4 2019, 6:40 PM

Change 549238 had a related patch set uploaded (by Nikki Nikkhoui; owner: Nikki Nikkhoui):
[mediawiki/core@master] Basic Search endpoint

https://gerrit.wikimedia.org/r/549238

Change 551920 had a related patch set uploaded (by Nikki Nikkhoui; owner: Nikki Nikkhoui):
[mediawiki/tools/api-testing@master] Integration test for /search?q={searchTerm}

https://gerrit.wikimedia.org/r/551920

nnikkhoui updated the task description. (Show Details)

Change 551920 merged by jenkins-bot:
[mediawiki/tools/api-testing@master] Integration test for /search/page?q={searchTerm}

https://gerrit.wikimedia.org/r/551920

Pchelolo reassigned this task from nnikkhoui to apaskulin.Nov 22 2019, 6:56 PM
Pchelolo updated the task description. (Show Details)
Pchelolo added a subscriber: nnikkhoui.

Considering that we're moving this endpoint to v0, I'd suggest removing the documentation step from this task in favor of handling the docs in the task that moves this endpoint to v1.

@apaskulin Agree with this, will update this task.

WDoranWMF updated the task description. (Show Details)Nov 26 2019, 5:14 PM
WDoranWMF moved this task from Blocked to Done on the Platform Team Workboards (Green) board.
apaskulin removed apaskulin as the assignee of this task.Nov 26 2019, 5:15 PM
apaskulin added a subscriber: apaskulin.
eprodromou closed this task as Resolved.Jan 10 2020, 2:44 PM
eprodromou assigned this task to nnikkhoui.